
#define int8   signed   char
#define int16  signed   int
#define int32  signed   long
#define uint8  unsigned char
#define uint16 unsigned int
#define uint32 unsigned long


// --------------------------------------------------------------------------------
// In the slave "Servo" without this interrupt there are transmission errors
// caused by the heavy firmware management of PWM and SERVO signals
// so it is better to use interrupt (UART_RECEIVE_INTERRUPT = 1)
//
// Also in the new CapSensorHS we use interrupt
// (by default UART interrupt has less priority than Timer1 interrupt) 
// --------------------------------------------------------------------------------
#define UART_RECEIVE_INTERRUPT 0

